Bug 977000 - Review Request: jcharset - Java Charset package
Summary: Review Request: jcharset - Java Charset package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 894413
TreeView+ depends on / blocked
 
Reported: 2013-06-22 13:37 UTC by gil cattaneo
Modified: 2013-07-02 00:26 UTC (History)
3 users (show)

Fixed In Version: jcharset-1.5-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-02 00:24:06 UTC
besser82: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2013-06-22 13:37:45 UTC
Spec URL: http://gil.fedorapeople.org/jcharset.spec
SRPM URL: http://gil.fedorapeople.org/jcharset-1.5-1.fc18.src.rpm
Description: The Java Charset package is an open-source implementation of
character sets that were missing from the standard Java platform. 
Fedora Account System Username: gil

Comment 1 Björn 'besser82' Esser 2013-06-22 15:52:26 UTC
I'll take this unblocking dependencies for new progress in bz #894413

Comment 2 Björn 'besser82' Esser 2013-06-22 16:11:07 UTC
Package is fine, but incorrect license-tag.  Gil, fix that issue with license-tag when importing to SCM, please!

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jcharset-
     javadoc

     ---> false positive: is noarch and doc-pkg

[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)". Detailed output of licensecheck in
     /home/bjoern.esser/fedora/review/977000-jcharset/licensecheck.txt

     ---> License is GPLv2+ NOT LGPLv2+, actually.  Compared with LICENSE.txt

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jcharset-1.5-1.fc20.noarch.rpm
          jcharset-javadoc-1.5-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jcharset jcharset-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
jcharset (rpmlib, GLIBC filtered):
    java
    jpackage-utils

jcharset-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jcharset:
    jcharset
    mvn(net.freeutils.charset:jcharset)

jcharset-javadoc:
    jcharset-javadoc



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 977000

#####

APPROVED!

Comment 3 gil cattaneo 2013-06-22 16:56:53 UTC
Thanks!

Spec URL: http://gil.fedorapeople.org/jcharset.spec
SRPM URL: http://gil.fedorapeople.org/jcharset-1.5-1.fc18.src.rpm

-fix license tag

New Package SCM Request
=======================
Package Name: jcharset
Short Description: Java Charset package
Owners: gil
Branches: f18 f19
InitialCC: java-sig

Comment 4 Kevin Fenzi 2013-06-22 18:07:20 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-06-22 20:48:29 UTC
jcharset-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jcharset-1.5-1.fc19

Comment 6 Fedora Update System 2013-06-22 20:56:23 UTC
jcharset-1.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jcharset-1.5-1.fc18

Comment 7 Fedora Update System 2013-06-23 19:03:11 UTC
jcharset-1.5-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 8 Fedora Update System 2013-07-02 00:24:06 UTC
jcharset-1.5-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 9 Fedora Update System 2013-07-02 00:26:59 UTC
jcharset-1.5-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.